%define _kde4_alternate_placement 1

%def_enable ksudoku

%add_findpackage_path %_kde4_bindir

%define rname kdegames
Name: kde4games
%define major 4
%define minor 4
%define bugfix 5
Version: %major.%minor.%bugfix
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: KDE - Games
Url: http://games.kde.org/
License: GPL

Requires: %name-kgoldrunner = %version-%release
Requires: %name-katomic = %version-%release
Requires: %name-kblackbox = %version-%release
Requires: %name-ktuberling = %version-%release
Requires: %name-kbounce = %version-%release
Requires: %name-kspaceduel = %version-%release
Requires: %name-kreversi = %version-%release
Requires: %name-kolf = %version-%release
Requires: %name-konquest = %version-%release
Requires: %name-ksame = %version-%release
Requires: %name-kmahjongg = %version-%release
Requires: %name-kbattleship = %version-%release
Requires: %name-kiriki = %version-%release
%if_enabled ksudoku
Requires: %name-ksudoku = %version-%release
%endif
Requires: %name-bovo = %version-%release
Requires: %name-kjumpingcube = %version-%release
Requires: %name-klines = %version-%release
Requires: %name-kmines = %version-%release
Requires: %name-knetwalk = %version-%release
Requires: %name-kpat = %version-%release
Requires: %name-kshisen = %version-%release
Requires: %name-ksquares = %version-%release
Requires: %name-kfourinline = %version-%release
Requires: %name-lskat = %version-%release
Requires: %name-kdiamond = %version-%release
Requires: %name-kollision = %version-%release
Requires: %name-kubrick = %version-%release
Requires: %name-kblocks = %version-%release
Requires: %name-kbreakout = %version-%release
Requires: %name-ksirk = %version-%release
Requires: %name-kapman = %version-%release
Requires: %name-killbots = %version-%release
Requires: %name-bomber = %version-%release
Requires: %name-ktron = %version-%release
Requires: %name-kdesnake = %version-%release
Requires: %name-granatier = %version-%release
Requires: %name-kigo = %version-%release
Requires: %name-palapeli = %version-%release


#Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar.bz2
Source: %rname-%version.tar

# Automatically added by buildreq on Mon Oct 20 2008 (-bi)
#BuildRequires: gcc-c++ ggz-client-libs kde4base-runtime-devel kde4libs-devel kdelibs-devel libXScrnSaver-devel libXcomposite-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libxkbfile-devel nvidia_glx_177.80 rpm-build-ruby xorg-xf86vidmodeproto-devel
BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ libggz-devel ggz-client-libs-devel kde4base-runtime-devel
BuildRequires: xorg-devel libqca2-devel
BuildRequires: kde4libs-devel >= %version

%description
Games for the K Desktop Environment.
This is a compilation of various games for KDE project
 - katomic: build complex atoms with a minimal amount of moves
 - kbattleship: battleship game with built-in game server
 - kblackbox: find atoms in a grid by shooting electrons
 - kbounce: claim areas and don't get disturbed
 - klines: place 5 equal pieces together, but wait, there are 3 new ones
 - mahjongg: a tile laying patience
 - kmines: the classical mine sweeper
 - kolf: a golf game
 - konquest: conquer the planets of your enemy
 - kpat: several patience card games
 - kreversi: the old reversi board game, also known as othello
 - ksame: collect pieces of the same color
 - kshisen: patience game where you take away all pieces
 - kspaceduel: two player game with shooting spaceships flying around a sun
 - ktuberling: kids game: make your own potato (NO french fries!)
 - kfourinline: place 4 pieces in a row
 - Lskat: lieutnant skat
%if_enabled ksudoku
 - Ksudoku: Play, create and solve sudoku grids
%endif
 - KGoldrunner: a game of action and puzzle solving.
 - KTuberling: "potato editor" game
 - Kiriki: Close of Yahtzee
 - Kjumpingcube: a tactical game for number-crunchers
 - Bovo: classic pen and paper game
 - KSquares: an implementation of the popular paper based game squares
 - Knetwalk: Turn the board pieces to get all computers connected

%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
%name common package

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
#Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description core
Core files for %name

%package palapeli
Summary: Jigsaw puzzle game
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description palapeli
Palapeli is a jigsaw puzzle game. Unlike other games in that genre, you
are not limited to aligning pieces on imaginary grids. The pieces are
freely moveable. Also, Palapeli features real persistency, i.e. everything
you do is saved on your disk immediately.

%package granatier
Summary: KDE Bomberman game
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description granatier
KDE Bomberman game.

%package kigo
Summary: Go board game for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
Requires: gnugo
%description kigo
Go board game for KDE.

%package kapman
Summary: A Pac-Man clone
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kapman
Kapman is a Pac-Man clone

%package bomber
Summary: bomber
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description bomber
Bomberman like game

%package killbots
Summary: KDE port of the classic BSD console game robots
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description killbots
Killbots is a KDE port of the classic BSD console game robots.

%package kgoldrunner
Summary: KGoldrunner, a game of action and puzzle solving
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kgoldrunner
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kgoldrunner
KGoldrunner, a game of action and puzzle solving.
Run through the maze, dodge your enemies, collect
all the gold and climb up to the next level.

%package katomic
Summary: Build complex atoms with a minimal amount of moves
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=katomic
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description katomic
katomic: build complex atoms with a minimal amount of moves

%package kblackbox
Summary: Find atoms in a grid by shooting electrons
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kblackbox
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kblackbox
kblackbox: find atoms in a grid by shooting electrons

%package ktuberling
Summary: KTuberling: "potato editor" game
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=ktuberling
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description ktuberling
KTuberling is a "potato editor" game intended for small
children and adults who remain young at heart. The game
has no winner; the only purpose is to make the funniest
faces you can.

%package kbounce
Summary: Claim areas and don't get disturbed
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kbounce
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kbounce
kbounce: claim areas and don't get disturbed

%package kspaceduel
Summary: Two player game with shooting spaceships flying around a sun
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kspaceduel
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kspaceduel
kspaceduel: two player game with shooting spaceships flying around a sun

%package kreversi
Summary: Old reversi board game, also known as othello
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kreversi
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kreversi
kreversi: the old reversi board game, also known as othello

%package kolf
Summary: A golf game
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kolf
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kolf
Kolf is a miniature golf game with 2d top-down view. Courses are dynamic,
and up to 10 people can play at once in competition. Kolf comes equipped
with a variety of playgrounds and tutorial courses.

%package konquest
Summary: Conquer the planets of your enemy
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=konquest
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description konquest
konquest: conquer the planets of your enemy

%package ksame
Summary: Collect pieces of the same color
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=ksame
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description ksame
ksame: collect pieces of the same color

%package kmahjongg
Summary: A tile laying patience
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kmahjongg
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kmahjongg
Kmahjongg: a tile laying patience

%package kbattleship
Summary: Battleship game with built-in game server
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kbattleship
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kbattleship
kbattleship: battleship game with built-in game server

%package kiriki
Summary: Kiriki: Close of Yahtzee
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kiriki
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kiriki
Kiriki is a dice game, written for KDE 4.
It is a clone of Gnome Tali (gtali) that is a clone of Yahtzee!

%package ksudoku
Summary: KSudoku - Play, create and solve sudoku grids
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=ksudoku
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description ksudoku
 The word Sudoku means "single number in an alloted place" in Japanese. These
are the basic rules. Every sudoku Sudoku is a square of 81 cells divided into
9 columns and 9 rows and in 9 subsquares (3x3) of 9 cells each. Solving takes
usually from 10 to 30 minutes, depending on puzzle level, your skill and
experience.
 Some cells are filled with a number at the beginnning: the remaining are to
be filled by the player using numbers from 1 to 9, without repeating a number
twice on each column, row or subsuquare (each of them must contain only
one 1, one 2, one 3, and so on). The game requires logic and patience.
The numerals in Sudoku puzzles are used for convenience (for example in 16x16
board we use letters): arithmetic relationships between numbers are irrelevant.
 This program supports also 16x16 games with numbers from 1 to 16 and 256
cells with 16 cols, rows and subsquares! (if normal sudoku are not enough for
you).
 More information at http://en.wikipedia.org/wiki/Sudoku

%package bovo
Summary: Bovo: classic pen and paper game
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=bovo
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description bovo
Bovo is a KDE 4 game, modeled upon a classic pen and paper game,
where you try to connect five in a row prior to your opponent.

%package kjumpingcube
Summary: kjumpingcube: a tactical game for number-crunchers
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kjumpingcube
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kjumpingcube
KJumpingCube is a tactical one or two-player game. The playing field
consists of squares that contains points which can be increased. By
this you can gain more fields and finally win the board over.

%package klines
Summary: Place 5 equal pieces together, but wait, there are 3 new ones
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=klines
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description klines
klines: place 5 equal pieces together, but wait, there are 3 new ones

%package kmines
Summary: The classical mine sweeper
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kmines
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kmines
kmines: the classical mine sweeper

%package knetwalk
Summary: Turn the board pieces to get all computers connected
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=knetwalk
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description knetwalk
Turn the board pieces to get all computers connected.

%package kpat
Summary: Several patience card games
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kpat
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kpat
kpat: several patience card games

%package kshisen
Summary: Patience game where you take away all pieces
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kshisen
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kshisen
Kshisen: patience game where you take away all pieces

%package ksquares
Summary: KSquares: an implementation of the popular paper based game squares
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=ksquares
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description ksquares
KSquares is an implementation of the popular paper based game squares.
You must draw lines to complete squares, the player with the most s
quares wins.

%package kfourinline
Summary: Place 4 pieces in a row
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kfourinline
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kfourinline
kfourinline: place 4 pieces in a row

%package lskat
Summary: Lieutnant skat
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=lskat
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description lskat
lskat: lieutnant skat

%package kdiamond
Summary: Three-in-a-row game
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kdiamond
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kdiamond
KDiamond is a three-in-a-row game (much like Bejeweled) for the KDE 4 desktop.

%package kollision
Summary: A simple ball dodging game
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kollision
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kollision
A simple ball dodging game

%package kubrick
Summary: Game based on Rubik's Cube
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kubrick
Kubrick, a game based on Rubik's Cube

%package kblocks
Summary: Single player falling blocks puzzle game
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kblocks
Single player falling blocks puzzle game

%package kbreakout
Summary: kbreakout
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=kbreakout
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description kbreakout
Single player falling blocks puzzle game

%package ksirk
Summary: Single player falling blocks puzzle game
Group: Graphical desktop/KDE
Url: http://games.kde.org/game.php?game=ksirk
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description ksirk
KsirK is a computerized version of a well known strategy board game.
KsirK is a multi-player network-playable game with an AI. The goal
of the game is simply to conquer the World... It is done by attacking
your neighbours with your armies.

%package -n libkdegames4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkdegames4
KDE 4 library.

%package -n libkmahjongglib4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkmahjongglib4
KDE 4 library.

%package -n libkolfprivate4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkolfprivate4
KDE 4 library.

%package -n libkggzgames4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkggzgames4
KDE 4 library.

%package -n libkggzmod4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkggzmod4
KDE 4 library.

%package -n libkggznet4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkggznet4
KDE 4 library.

%package -n libiris4_ksirk
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep libqt4-core}
Requires: %name-common = %version-%release
%description -n libiris4_ksirk
KDE 4 library.

%package -n libpala4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libpala4
KDE 4 library.

%package ktron
Summary: Simple Tron clone
Group: Graphical desktop/KDE
URL: http://games.kde.org/game.php?game=ktron
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
%description ktron
Well known from the famous movie, KTron is a popular computer 
game for two players. In a fast action sequence both players 
have to move and avoid colliding with any walls, the opponent 
as well as the own path. The player colliding first looses the 
game.

%package kdesnake
Summary: snake race played against the computer
Group: Graphical desktop/KDE
URL: http://games.kde.org/game.php?game=kdesnake
Requires: %{get_dep kde4libs}
Requires: kde4games-core = %version-%release
Requires: %name-ktron
%description kdesnake
KSnake Race is a fast action game where you steer a snake 
which has to eat food. While eating the snake grows. But 
once a player collides with the other snake or the wall 
the game is lost. This becomes of course more and more 
difficult the longer the snakes grow.

%package devel
Summary: Headers files for %name
Group: Development/KDE and QT
Requires: kde4libs-devel
%description devel
Headers files needed to build applications based on kdegames applications.


%prep
%setup -q -n %rname-%version


%build
NOBUILDPKGS=
%if_enabled ksudoku
%else
NOBUILDPKGS+=" -DBUILD_ksudoku=FALSE"
%endif
%K4build


%install
%K4install



%files
%files common
%doc README

%files core
%_K4apps/kdegames
%_K4apps/carddecks
%_K4iconsdir/oxygen/*/actions/lastmoves.*
%_K4iconsdir/oxygen/*/actions/legalmoves.*
#%exclude %_sysconfdir/ggz.modules

%files palapeli
%_kde4_bindir/palapeli
%_kde4_bindir/libpala-puzzlebuilder
%_K4lib/palapeli_jigsawslicer.so
%_K4lib/palapeli_rectslicer.so
%_K4lib/palathumbcreator.so
%_kde4_xdg_apps/palapeli.desktop
%_K4apps/palapeli
%_K4srv/ServiceMenus/palapeli_servicemenu.desktop
%_K4srv/palapeli_*.desktop
%_K4srv/palathumbcreator.desktop
%_K4srvtyp/libpala-slicerplugin.desktop
%_K4xdg_mime/palapeli-mimetypes.xml
%_K4conf/palapeli-collectionrc
%_K4doc/*/palapeli

%files kigo
%_kde4_bindir/kigo
%_kde4_xdg_apps/kigo.desktop
%_K4apps/kigo
%_K4cfg/kigo.kcfg
%_K4conf/kigo-games.knsrc
%_K4conf/kigo.knsrc
%_kde4_iconsdir/hicolor/*/*/kigo.*
%_K4doc/*/kigo

%files granatier
%_kde4_bindir/granatier
%_kde4_xdg_apps/granatier.desktop
%_K4apps/granatier
%_K4cfg/granatier.kcfg
%_kde4_iconsdir/hicolor/*/*/granatier.*
%_K4doc/*/granatier

%files ktron
%_kde4_bindir/ktron
%_kde4_xdg_apps/ktron.desktop
%_K4apps/ktron
%_K4cfg/ktron.kcfg
%_K4conf/ktron.knsrc
%_kde4_iconsdir/hicolor/*/*/ktron.png
%_K4doc/en/ktron

%files kdesnake
%_kde4_bindir/kdesnake
%_kde4_xdg_apps/kdesnake.desktop
%_kde4_iconsdir/hicolor/*/*/kdesnake.*

%files kapman
%_kde4_bindir/kapman
%_kde4_xdg_apps/kapman.desktop
%_K4apps/kapman/
%_kde4_iconsdir/hicolor/*/apps/kapman.*
%_K4snd/kapman/
%_K4doc/en/kapman

%files bomber
%_kde4_bindir/bomber
%_kde4_xdg_apps/bomber.desktop
%_K4apps/bomber/
%_K4cfg/bomber.kcfg
%_kde4_iconsdir/hicolor/*/apps/bomber.*
%_K4doc/*/bomber

%files killbots
%_kde4_bindir/killbots
%_kde4_xdg_apps/killbots.desktop
%_K4apps/killbots/
%_K4cfg/killbots.kcfg
%_kde4_iconsdir/hicolor/*/apps/killbots.*
%_K4doc/*/killbots/

%files kgoldrunner
%_kde4_bindir/kgoldrunner
%_kde4_xdg_apps/KGoldrunner.desktop
%_K4conf/kgoldrunner.knsrc
%_K4apps/kgoldrunner/
%_K4doc/*/kgoldrunner
%_kde4_iconsdir/hicolor/*/apps/kgoldrunner.png

%files katomic
%_kde4_bindir/katomic
%_kde4_xdg_apps/katomic.desktop
%_K4doc/*/katomic
%_kde4_iconsdir/hicolor/*/apps/katomic.png
%_K4apps/katomic
%_K4conf_update/katomic-*
%_K4conf/katomic.knsrc

%files kblackbox
%_kde4_bindir/kblackbox
%_kde4_xdg_apps/kblackbox.desktop
%_K4apps/kblackbox/
%_K4doc/*/kblackbox
%_kde4_iconsdir/hicolor/*/apps/kblackbox.png

%files ktuberling
%_kde4_bindir/ktuberling
%_kde4_xdg_apps/ktuberling.desktop
%_K4apps/ktuberling/
%_K4doc/*/ktuberling
%_kde4_iconsdir/hicolor/*/apps/ktuberling.png
%_kde4_iconsdir/hicolor/*/mimetypes/application-x-tuberling.png

%files kbounce
%_kde4_bindir/kbounce
%_kde4_xdg_apps/kbounce.desktop
%_K4apps/kbounce/
%_kde4_iconsdir/*/*/apps/kbounce*
%_K4doc/*/kbounce

%files kspaceduel
%_kde4_bindir/kspaceduel
%_kde4_xdg_apps/kspaceduel.desktop
%_K4apps/kspaceduel/
%_K4doc/*/kspaceduel
%_kde4_iconsdir/hicolor/*/apps/kspaceduel.png
%_K4cfg/kspaceduel.kcfg

%files kreversi
%_kde4_bindir/kreversi
%_kde4_xdg_apps/kreversi.desktop
%_K4apps/kreversi/
%_kde4_iconsdir/hicolor/*/apps/kreversi.png
%_K4doc/*/kreversi

%files kolf
%_kde4_bindir/kolf
%_kde4_xdg_apps/kolf.desktop
%_K4apps/kolf/
%_K4doc/*/kolf
%_kde4_iconsdir/hicolor/*/apps/kolf.png

%files konquest
%_kde4_bindir/konquest
%_kde4_xdg_apps/konquest.desktop
%_K4apps/konquest/
%_K4doc/*/konquest
%_kde4_iconsdir/hicolor/*/apps/konquest.png

%files ksame
%_kde4_bindir/ksame
%_K4apps/ksame/
%_kde4_xdg_apps/ksame.desktop
%_K4doc/*/ksame
%_kde4_iconsdir/hicolor/*/apps/ksame.png

%files kmahjongg
%_kde4_bindir/kmahjongg
%_kde4_xdg_apps/kmahjongg.desktop
%_K4apps/kmahjongg/
%_K4apps/kmahjongglib/
%_K4doc/*/kmahjongg
%_kde4_iconsdir/hicolor/*/apps/kmahjongg.*
%_K4cfg/kmahjongg.kcfg

%files kbattleship
%_kde4_bindir/kbattleship
%_kde4_xdg_apps/kbattleship.desktop
%_kde4_iconsdir/hicolor/*/apps/kbattleship.png
%_K4apps/kbattleship/
%_K4srv/kbattleship.protocol
%_K4doc/*/kbattleship

%files kiriki
%_kde4_bindir/kiriki
%_kde4_xdg_apps/kiriki.desktop
%_kde4_iconsdir/hicolor/*/apps/kiriki.png
%_K4apps/kiriki/
%_K4doc/*/kiriki

%if_enabled ksudoku
%files ksudoku
%_kde4_bindir/ksudoku
%_kde4_xdg_apps/ksudoku.desktop
%_K4apps/ksudoku/
%_K4conf/ksudokurc
%_kde4_iconsdir/hicolor/*/apps/ksudoku.*
%_K4doc/*/ksudoku
%else
%exclude %_K4doc/*/ksudoku
%endif

%files bovo
%_kde4_bindir/bovo
%_kde4_xdg_apps/bovo.desktop
%_K4apps/bovo/
%_kde4_iconsdir/hicolor/*/apps/bovo.*
%_K4doc/*/bovo

%files kjumpingcube
%_kde4_bindir/kjumpingcube
%_kde4_xdg_apps/kjumpingcube.desktop
%_K4apps/kjumpingcube/
%_K4cfg/kjumpingcube.kcfg
%_K4doc/*/kjumpingcube
%_kde4_iconsdir/hicolor/*/apps/kjumpingcube.png

%files klines
%_kde4_bindir/klines
%_kde4_xdg_apps/klines.desktop
%_K4apps/klines/
%_K4doc/*/klines
%_kde4_iconsdir/hicolor/*/apps/klines.png
%_K4cfg/klines.kcfg

%files kmines
%_kde4_bindir/kmines
%_kde4_xdg_apps/kmines.desktop
%_K4apps/kmines/
%_K4conf/kmines.knsrc
%_K4doc/*/kmines
%_kde4_iconsdir/hicolor/*/apps/kmines.png

%files knetwalk
%_kde4_bindir/knetwalk
%_kde4_xdg_apps/knetwalk.desktop
%_K4apps/knetwalk/
%_K4doc/*/knetwalk
%_kde4_iconsdir/hicolor/*/apps/knetwalk.*

%files kpat
%_kde4_bindir/kpat
%_kde4_xdg_apps/kpat.desktop
%_K4apps/kconf_update/kpat_update_cardwidth.upd
%_K4apps/kpat
%_K4doc/*/kpat
%_kde4_iconsdir/hicolor/*/apps/kpat.png

%files kshisen
%_kde4_bindir/kshisen
%_kde4_xdg_apps/kshisen.desktop
%_K4apps/kshisen/
%_K4snd/kshisen
%_K4cfg/kshisen.kcfg
%_K4doc/*/kshisen
%_kde4_iconsdir/hicolor/*/apps/kshisen.png

%files ksquares
%_kde4_bindir/ksquares
%_kde4_xdg_apps/ksquares.desktop
%_K4apps/ksquares/
%_K4cfg/ksquares.kcfg
%_kde4_iconsdir/hicolor/*/apps/ksquares.png
%_K4doc/*/ksquares

%files kfourinline
%_kde4_bindir/kfourinline
%_kde4_bindir/kfourinlineproc
%_kde4_xdg_apps/kfourinline.desktop
%_K4apps/kfourinline/
%_K4doc/*/kfourinline
%_kde4_iconsdir/hicolor/*/apps/kfourinline.png
%_K4cfg/kwin4.kcfg

%files lskat
%_kde4_bindir/lskat
%_kde4_xdg_apps/lskat.desktop
%_K4apps/lskat/
%_K4doc/*/lskat
%_kde4_iconsdir/hicolor/*/apps/lskat.png

%files kdiamond
%_kde4_bindir/kdiamond
%_kde4_xdg_apps/kdiamond.desktop
%_K4apps/kdiamond/
%_K4conf/kdiamond.knsrc
%_K4snd/KDiamond-Stone-*.ogg
%_kde4_iconsdir/*/*/*/kdiamond.*
%_K4doc/*/kdiamond

%files kollision
%_kde4_bindir/kollision
%_kde4_xdg_apps/kollision.desktop
%_K4apps/kollision/
%_kde4_iconsdir/hicolor/*/apps/kollision.*
%_K4iconsdir/oxygen/*/apps/kollision.*
%_K4doc/*/kollision

%files kubrick
%_kde4_bindir/kubrick
%_kde4_xdg_apps/kubrick.desktop
%_K4apps/kubrick/
%_K4doc/*/kubrick
%_kde4_iconsdir/hicolor/*/apps/kubrick.*

%files kblocks
%_kde4_bindir/kblocks
%_kde4_xdg_apps/kblocks.desktop
%_K4apps/kblocks/
%_K4cfg/kblocks.kcfg
%_K4conf/kblocks.knsrc
%_K4doc/en/kblocks
%_kde4_iconsdir/hicolor/*/apps/kblocks.*

%files kbreakout
%_kde4_bindir/kbreakout
%_kde4_xdg_apps/kbreakout.desktop
%_K4apps/kbreakout/
%_kde4_iconsdir/hicolor/*/apps/kbreakout.png
%_K4doc/*/kbreakout

%files ksirk
%_kde4_bindir/ksirk
%_kde4_bindir/ksirkskineditor
%_kde4_xdg_apps/ksirk.desktop
%_kde4_xdg_apps/ksirkskineditor.desktop
%_K4conf/ksirk.knsrc
%_K4cfg/ksirksettings.kcfg
%_K4cfg/ksirkskineditorsettings.kcfg
%_K4apps/ksirk/
%_K4apps/ksirkskineditor/
%_kde4_iconsdir/*/*/apps/ksirk.png
%_K4doc/en/ksirk
%_K4doc/en/ksirkskineditor

%files -n libkdegames4
%_K4libdir/libkdegames.so.*
%files -n libkmahjongglib4
%_K4libdir/libkmahjongglib.so.*
%files -n libkolfprivate4
%_K4libdir/libkolfprivate.so.*
%files -n libkggzgames4
%_K4libdir/libkggzgames.so.*
%files -n libkggzmod4
%_K4libdir/libkggzmod.so.*
%files -n libkggznet4
%_K4libdir/libkggznet.so.*
%files -n libiris4_ksirk
%_K4libdir/libiris_ksirk.so.*
%files -n libpala4
%_K4libdir/libpala.so.*

%files devel
%_K4apps/cmake/modules/FindLibKDEGames.cmake
%_K4apps/cmake/modules/GGZ.cmake
%_K4libdir/libpala
%_K4link/*.so
%_K4includedir/*

%changelog
* Thu Jul 08 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt0.M51.1
- built for M51

* Mon Jul 05 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1
- new version

* Thu Jun 03 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt0.M51.1
- built for M51

* Wed Jun 02 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt1
- new version

* Thu May 13 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt0.M51.1
- built for M51

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt1
- new version

* Wed Apr 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- built for M51

* Tue Mar 30 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- new version

* Tue Mar 02 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt1
- new version

* Fri Feb 12 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- new version

* Thu Jan 28 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.95-alt1
- new version

* Mon Jan 25 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.90-alt1
- new version

* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Tue Dec 01 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Thu Nov 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Mon Oct 12 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Tue Sep 01 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Wed Aug 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Thu Jul 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Fri Jul 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Tue Jun 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Mon Apr 06 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Thu Mar 05 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Tue Jan 20 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Tue Oct 21 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt2
- fix requires

* Mon Oct 20 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- initial specfile

